from collections import deque
import matplotlib
import matplotlib.pyplot as plt
import numpy as np
import json

matplotlib.rcParams.update({'errorbar.capsize': 2})

results_graph0 = np.genfromtxt("circuit_scaling_graph_10qbit.csv")
with open("circuit_scaling_10qbit_meta.json") as fin:
    meta = json.load(fin)

h0 = plt.errorbar(results_graph0[:, 0], results_graph0[:, 2], results_graph0[:, 3]
                , label=f"Graphical Simulator $N_q={meta['nqbits0']}$ Qbits"
                , marker="^"
                , color="black")

plt.legend(handles=[h0])
plt.xlabel("Number of gates in circuit")
plt.ylabel("Execution time per circuit [s]")
plt.title(f"Execution Time for Random Circuits")

plt.savefig("scaling_circuits_10qbit_linear.png", dpi=400)
plt.show()
